'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ValidationMiddleware;

var _validator = require('./validator');

var _validator2 = _interopRequireDefault(_validator);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ValidationMiddleware(schemas) {
  const validator = new _validator2.default(schemas);

  return schema => (req, res, next) => {
    const errors = validator.validate(schema, req.body);
    if (errors) {
      return next(errors);
    }
    next();
  };
}